<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package PhotoBlogger
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
		if ( have_posts() ) : ?>

			<header class="page-header">
				<div class="page-header-inner main-width">
					<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'photoblogger' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
				</div><!-- .page-header-inner -->
			</header><!-- .page-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'search' );

			endwhile; ?>

			<div class="pagination-container">
				<?php the_posts_pagination(); ?>
			</div><!-- .pagination-container -->

		<?php
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php
get_sidebar( 'right' );
get_footer();
